%  Figure 10.23      Feedback Control of Dynamic Systems, 7e
%                        Franklin, Powell, Emami
%
%  fig10_23.m is a script to generate Fig. 10.23,    
%  the root locus of the LQR symmetric root locus compensator of the 
%  satellite position control, non-collocated case WITH ESTIMATOR

% Parameter values
m=[1, .1]; k=[0, .091] ; d=[0, .0036]; k1=[0, 0.4];

% call model 
[A,B,C,D] = twomass(m,k,d);

% compute feedforward values
S=[A, B;C, 0];
r=[0*B;1]; 
N=S\r;Nx=N(1:4);
Nu=N(5);

% call model
[A1,B,C,D] = twomass(m,k1,d);

% form G(s)G(-s) in state-space
a=[A, 0*A;
-C'*C, -A'];
b=[B;0*B];
c=[0*C, B'];
d=[0];
hold off; clf
P=eig(a-b*c*0.1621);
pc=P(real(P<0)==1);
K=place(A,B,pc);
Nbar=Nu+K*Nx;
% eig(a-b*K)
P=eig(a-b*c*3.056e7);
pe=P(real(P<0)==1);
L=place(A',C',pe)';
ac=A-B*K-L*C ;bc=L;cc=K;dc=0;
[Aol,Bol,Col,Dol]=series(ac,bc,cc,dc,A,B,C,D);
[acl,bcl,ccl,dcl]=feedback(A,B,C,D,ac,bc,cc,dc);
[acl1,bcl,ccl,dcl]=feedback(A1,B,C,D,ac,bc,cc,dc);
bcl= Nbar*[B;B];
rlocus(Aol,Bol,Col,Dol);
grid;
v=[-2, 2, -1.5, 1.5]
axis(v);
title('Fig. 10.23: Root locus for D_{c4}(s)G(s).')
